unit EtatClass;

interface

type

// ------------ Mise en forme de la classe -------------------------------------
TEtat = class

  constructor Create;
  constructor CreateAV(SV:Integer;EV:Integer;CV:Integer;PV:Integer;PIV:Integer);
  Destructor Destroy;

private
  // -- Les Variables --
  SocleValeur : integer;
  EpauleValeur : integer;
  CoudeValeur : integer;
  PoignetValeur : integer;
  PinceValeur : integer;

public
  // -- Les Mthodes --
  procedure SetSocleValeur(Val:Integer);
  procedure SetEpauleValeur(Val:Integer);
  procedure SetCoudeValeur(Val:Integer);
  procedure SetPoignetValeur(Val:Integer);
  procedure SetPinceValeur(Val:Integer);

  function GetSocleValeur():Integer;
  function GetEpauleValeur():Integer;
  function GetCoudeValeur():Integer;
  function GetPoignetValeur():Integer;
  function GetPinceValeur():Integer;

end;
// ------------ Fin de la mise en forme ----------------------------------------

implementation

// ------------ Implmentation des mthodes de TEtat ---------------------------
  Constructor TEtat.Create();
  begin
      SocleValeur:=0;
      EpauleValeur:=0;
      CoudeValeur:=0;
      PoignetValeur:=0;
      PinceValeur:=0;
  end;

  Constructor TEtat.CreateAV(SV:Integer;EV:Integer;CV:Integer;PV:Integer;PIV:Integer);
  begin
      SocleValeur:=SV;
      EpauleValeur:=EV;
      CoudeValeur:=CV;
      PoignetValeur:=PV;
      PinceValeur:=PIV;
  end;

  Destructor  TEtat.Destroy();
  begin
  end;

// ------------ Procedures Publique---------------------------------------------

  { Pour chaque variable on a prevu une mthode pour l'crire et le lire
    de la variable.}

  procedure TEtat.SetSocleValeur(Val:Integer);
  begin
    SocleValeur:=Val;
  end;

  procedure TEtat.SetEpauleValeur(Val:Integer);
  begin
    EpauleValeur:=Val;
  end;

  procedure TEtat.SetCoudeValeur(Val:Integer);
  begin
    CoudeValeur:=Val;
  end;

  procedure TEtat.SetPoignetValeur(Val:Integer);
  begin
    PoignetValeur:=Val;
  end;

  procedure TEtat.SetPinceValeur(Val:Integer);
  begin
    PinceValeur:=Val;
  end;


  function TEtat.GetSocleValeur():Integer;
  begin
    GetSocleValeur:=SocleValeur;
  end;

  function TEtat.GetEpauleValeur():Integer;
  begin
    GetEpauleValeur:=EpauleValeur;
  end;

  function TEtat.GetCoudeValeur():Integer;
  begin
    GetCoudeValeur:=CoudeValeur;
  end;

  function TEtat.GetPoignetValeur():Integer;
  begin
    GetPoignetValeur:=PoignetValeur;
  end;

  function TEtat.GetPinceValeur():Integer;
  begin
    GetPinceValeur:=PinceValeur;
  end;

end.
