unit frmOptionServeur;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
// ------------ Mise en forme de la classe -------------------------------------
  TfrmOptionServeur = class(TForm)

    // -- Les Choses Visuel --
    Label1: TLabel;
    Label2: TLabel;
    txtPortServeur: TEdit;
    txtAdresseServeur: TEdit;
    btnSauvegarder: TButton;
    btnAnnuler: TButton;
    txtchemin: TEdit;
    Label3: TLabel;
    procedure OnCreate(Sender: TObject);
    procedure OnClick(Sender: TObject);
    procedure btnSauvegarderClick(Sender: TObject);

    // -- Form methodes --
  private

    // -- Les Variables --
    // -- Les Methodes --
    procedure metValeursDansTextBox();
  public

  end;

// ------------ Fin de la mise en forme ----------------------------------------

implementation
 uses unit1;
{$R *.dfm}

// ------------ Procedures Priv -----------------------------------------------
procedure TFrmOptionServeur.metValeursDansTextBox();
var
  iFileHandle:Integer;
  iFileLength:Integer;
  iBytesRead:Integer;
  Buffer:PChar;
  i,place:Integer;
  KindValue,Value:String;
begin
  try

    place := 1; KindValue := ''; Value := '';

    iFileHandle :=FileOpen('PropServ.ini',fmOpenRead);

    iFileLength :=FileSeek(iFileHandle,0,2);
    FileSeek(iFileHandle,0,0);

    Buffer :=PChar(AllocMem(iFileLength +1));
    iBytesRead :=FileRead(iFileHandle,Buffer^,iFileLength);

    FileClose(iFileHandle);

    for i := 0 to iBytesRead-1 do
    begin
      if ((Buffer[i] <> '=') And (Buffer[i] <> ';') And (place = 1)) then
      begin
        KindValue := KindValue + Buffer[i];
      end;
      if (Buffer[i] = '=') then
      begin
        place := 2;
      end;
      if ((Buffer[i] <> '=') And (Buffer[i] <> ';') And (place = 2)) then
      begin
        Value := Value + Buffer[i];
      end;
      if (Buffer[i] = ';') then
      begin
        place := 3;

        if (KindValue = 'ip') then
          txtAdresseServeur.Text := Value;
        if (KindValue = 'port') then
          txtPortServeur.Text := Value;
        if (KindValue = 'chemin') then
        begin
          txtChemin.Text := Value;
          chemin:=value;
        end;

        KindValue := '';
        Value := '';
      end;
      if (Buffer[i] = #$A) then
        place := 1;

    end;
  finally
    FreeMem(Buffer);
  end;
end;

// ------------ Procedures Publique --------------------------------------------
procedure TfrmOptionServeur.OnCreate(Sender: TObject);
begin
  metValeursDansTextBox;
end;

procedure TfrmOptionServeur.OnClick(Sender: TObject);
begin
  metValeursDansTextBox;
  Self.Visible := false;
end;

procedure TfrmOptionServeur.btnSauvegarderClick(Sender: TObject);
var
  Fichier:TextFile;
  testtekst:TextFile;
begin
  assignfile(Fichier,'PropServ.ini');
  try
    Rewrite(Fichier);
    writeln(Fichier,'ip=' + txtAdresseServeur.Text + ';');
    writeln(Fichier,'port=' + txtPortServeur.Text + ';');
     writeln(Fichier,'chemin=' + txtChemin.Text + ';');
     chemin:=txtChemin.text;
  finally
    CloseFile(Fichier);
  end;
  Self.Visible := False;
end;

end.
